package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo struct {
	/*
	   批发单号     */
	WholesaleOrderNo *string `json:"wholesale_order_no,omitempty" `

	/*
	   已废弃，请使用containers.production_date     */
	ProductionDate *util.LocalTime `json:"production_date,omitempty" `

	/*
	   是否完结     */
	OutboundCompleted *bool `json:"outbound_completed,omitempty" `

	/*
	   出库数量(为正数或零)     */
	OutboundQuantity *string `json:"outbound_quantity,omitempty" `

	/*
	   商品编码     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   外部单号，如采购单号     */
	ExternalOrderNo *string `json:"external_order_no,omitempty" `

	/*
	   容器信息     */
	Containers *[]AlibabaWdkWholesaleOutboundorderCommitContainerDo `json:"containers,omitempty" `
}

func (s *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo) SetWholesaleOrderNo(v string) *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo {
	s.WholesaleOrderNo = &v
	return s
}
func (s *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo) SetProductionDate(v util.LocalTime) *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo {
	s.ProductionDate = &v
	return s
}
func (s *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo) SetOutboundCompleted(v bool) *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo {
	s.OutboundCompleted = &v
	return s
}
func (s *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo) SetOutboundQuantity(v string) *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo {
	s.OutboundQuantity = &v
	return s
}
func (s *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo) SetSkuCode(v string) *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo) SetExternalOrderNo(v string) *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo {
	s.ExternalOrderNo = &v
	return s
}
func (s *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo) SetContainers(v []AlibabaWdkWholesaleOutboundorderCommitContainerDo) *AlibabaWdkWholesaleOutboundorderCommitOutboundItemInfo {
	s.Containers = &v
	return s
}
